export enum SearchType {
  /**身份 */
  Identity = 210,
  /**学历 */
  Education = 220,
  /**岗位 */
  Position = 230,
  /**证书类型 */
  CertificateType = 240,
  /**福利 */
  Welfare = 250,
  /**行业类型 */
  IndustryCategory = 260,
}

export const SearchTypeText = {
  [SearchType.Identity]: '身份',
  [SearchType.Education]: '学历',
  [SearchType.Position]: '岗位',
  [SearchType.CertificateType]: '证书类型',
  [SearchType.Welfare]: '福利',
  [SearchType.IndustryCategory]: '行业类型',
};

export enum BelongType {
  Park = 10,
  Human = 20,
  Product = 30,
  Information = 40,
  FlexiblePlatform = 60,
  LaborRecruitment = 70,
  DemandDevelopment = 80,
  TrainingInstitutions = 90,
}

export enum IndustryCategoryType {
  /**
   * 行业服务
   */
  IndustryServices = 0,
  /**
   * 行业配套
   */
  IndustryMatching,

  /**
   * 甲方需求
   */
  FirstPartyDemand,
  /**
   * 行业资讯
   */
  IndustryInformation,
}

export const IndustryCategoryTypeText = {
  [IndustryCategoryType.IndustryServices]: '行业服务',
  [IndustryCategoryType.IndustryMatching]: '行业配套',
  [IndustryCategoryType.FirstPartyDemand]: '甲方需求',
  [IndustryCategoryType.IndustryInformation]: '行业资讯',
};

export enum TagType {
  /**
   * 产品标签
   */
  ProductTag = 0,
  /**
   * 资讯标签
   */
  InformationTag,
  /**
   * 定义标签
   */
  CustomTag,
  /**
   * 快捷评论标签
   */
  QuickEvaluateTag,
}

export enum UpLevel {
  /**
   * 一级
   */
  One = 1,
  /**
   * 二级
   */
  Two,
  /**
   * 三级
   */
  Three,
}
export const UpLevelText = {
  [UpLevel.One]: '一级',
  [UpLevel.Two]: '二级',
  [UpLevel.Three]: '三级',
};
